// .ui.xml template last modified: 1457703426000
package org.gcube.portlets.admin.createusers.client.ui;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlUtils;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import com.google.gwt.safehtml.shared.SafeUri;
import com.google.gwt.safehtml.shared.UriUtils;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.user.client.ui.Widget;

public class LoadingText_LoadingTextUiBinderImpl implements UiBinder<com.google.gwt.user.client.ui.Widget, org.gcube.portlets.admin.createusers.client.ui.LoadingText>, org.gcube.portlets.admin.createusers.client.ui.LoadingText.LoadingTextUiBinder {

  interface Template extends SafeHtmlTemplates {
    @Template("Contacting database...")
    SafeHtml html1();
     
    @Template("<span id='{0}'></span> <span id='{1}'></span>")
    SafeHtml html2(String arg0, String arg1);
     
  }

  Template template = GWT.create(Template.class);


  public com.google.gwt.user.client.ui.Widget createAndBindUi(final org.gcube.portlets.admin.createusers.client.ui.LoadingText owner) {


    return new Widgets(owner).get_f_VerticalPanel1();
  }

  /**
   * Encapsulates the access to all inner widgets
   */
  class Widgets {
    private final org.gcube.portlets.admin.createusers.client.ui.LoadingText owner;


    public Widgets(final org.gcube.portlets.admin.createusers.client.ui.LoadingText owner) {
      this.owner = owner;
      build_domId0();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId1();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId0Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId1Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
    }

    SafeHtml template_html1() {
      return template.html1();
    }
    SafeHtml template_html2() {
      return template.html2(get_domId0(), get_domId1());
    }

    /**
     * Getter for clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay called 0 times. Type: GENERATED_BUNDLE. Build precedence: 1.
     */
    private org.gcube.portlets.admin.createusers.client.ui.LoadingText_LoadingTextUiBinderImpl_GenBundle get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      return build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay();
    }
    private org.gcube.portlets.admin.createusers.client.ui.LoadingText_LoadingTextUiBinderImpl_GenBundle build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      // Creation section.
      final org.gcube.portlets.admin.createusers.client.ui.LoadingText_LoadingTextUiBinderImpl_GenBundle clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay = (org.gcube.portlets.admin.createusers.client.ui.LoadingText_LoadingTextUiBinderImpl_GenBundle) GWT.create(org.gcube.portlets.admin.createusers.client.ui.LoadingText_LoadingTextUiBinderImpl_GenBundle.class);
      // Setup section.

      return clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay;
    }

    /**
     * Getter for f_VerticalPanel1 called 1 times. Type: DEFAULT. Build precedence: 1.
     */
    private com.google.gwt.user.client.ui.VerticalPanel get_f_VerticalPanel1() {
      return build_f_VerticalPanel1();
    }
    private com.google.gwt.user.client.ui.VerticalPanel build_f_VerticalPanel1() {
      // Creation section.
      final com.google.gwt.user.client.ui.VerticalPanel f_VerticalPanel1 = (com.google.gwt.user.client.ui.VerticalPanel) GWT.create(com.google.gwt.user.client.ui.VerticalPanel.class);
      // Setup section.
      f_VerticalPanel1.setHorizontalAlignment(com.google.gwt.user.client.ui.HasHorizontalAlignment.ALIGN_CENTER);
      f_VerticalPanel1.add(get_f_Icon2());
      f_VerticalPanel1.add(get_f_Caption3());
      f_VerticalPanel1.setWidth("100%");

      return f_VerticalPanel1;
    }

    /**
     * Getter for f_Icon2 called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.github.gwtbootstrap.client.ui.Icon get_f_Icon2() {
      return build_f_Icon2();
    }
    private com.github.gwtbootstrap.client.ui.Icon build_f_Icon2() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Icon f_Icon2 = new com.github.gwtbootstrap.client.ui.Icon(com.github.gwtbootstrap.client.ui.constants.IconType.GEAR);
      // Setup section.
      f_Icon2.setSpin(true);
      f_Icon2.setSize(com.github.gwtbootstrap.client.ui.constants.IconSize.FOUR_TIMES);

      return f_Icon2;
    }

    /**
     * Getter for f_Caption3 called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.github.gwtbootstrap.client.ui.Caption get_f_Caption3() {
      return build_f_Caption3();
    }
    private com.github.gwtbootstrap.client.ui.Caption build_f_Caption3() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Caption f_Caption3 = new com.github.gwtbootstrap.client.ui.Caption(template_html2().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Caption3.getElement());

        get_domId0Element().get();
        get_domId1Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Caption3.addAndReplaceElement(get_f_Heading4(), get_domId0Element().get());
      f_Caption3.addAndReplaceElement(get_f_Paragraph5(), get_domId1Element().get());

      return f_Caption3;
    }

    /**
     * Getter for domId0 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId0;
    private java.lang.String get_domId0() {
      return domId0;
    }
    private java.lang.String build_domId0() {
      // Creation section.
      domId0 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId0;
    }

    /**
     * Getter for f_Heading4 called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.github.gwtbootstrap.client.ui.Heading get_f_Heading4() {
      return build_f_Heading4();
    }
    private com.github.gwtbootstrap.client.ui.Heading build_f_Heading4() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Heading f_Heading4 = new com.github.gwtbootstrap.client.ui.Heading(4);
      // Setup section.
      f_Heading4.setText("Please wait");

      return f_Heading4;
    }

    /**
     * Getter for domId0Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId0Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId0Element() {
      return domId0Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId0Element() {
      // Creation section.
      domId0Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId0());
      // Setup section.

      return domId0Element;
    }

    /**
     * Getter for domId1 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId1;
    private java.lang.String get_domId1() {
      return domId1;
    }
    private java.lang.String build_domId1() {
      // Creation section.
      domId1 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId1;
    }

    /**
     * Getter for f_Paragraph5 called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.github.gwtbootstrap.client.ui.Paragraph get_f_Paragraph5() {
      return build_f_Paragraph5();
    }
    private com.github.gwtbootstrap.client.ui.Paragraph build_f_Paragraph5() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Paragraph f_Paragraph5 = new com.github.gwtbootstrap.client.ui.Paragraph(template_html1().asString());
      // Setup section.

      return f_Paragraph5;
    }

    /**
     * Getter for domId1Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId1Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId1Element() {
      return domId1Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId1Element() {
      // Creation section.
      domId1Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId1());
      // Setup section.

      return domId1Element;
    }
  }
}
